# Cogs Entries Cogs Entries ## Execute Batch Operations - [POST /cogsEntries/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/cogs-entries/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a list of COGS entries in a fiscal period - [GET /cogsEntries/{tenantId}/fiscalperiod/{fiscal_year_id}/{fiscal_period}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/cogs-entries/listcogsentriesbyfiscalperiod.md): Returns a list of COGS entries in a fiscal period ## Returns a list of COGS entries for a transaction ID - [GET /cogsEntries/{tenantId}/inventoryTransaction/{inventoryTransactionId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/cogs-entries/listcogsentriesforinventorytransaction.md): Returns a list of COGS entries for a transaction ID ## Returns a list of COGS entries for an order id - [GET /cogsEntries/{tenantId}/order/{orderId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/cogs-entries/listcogsentriesfororder.md): Returns a list of COGS entries for an order id ## Returns a cogs entry from the system by its ID. - [DELETE /cogsEntries/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/cogs-entries/deletecogsentry.md): This method will delete a cogs entry with the specified ID. ## Returns a cogs entry from the system by its ID. - [GET /cogsEntries/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/cogs-entries/getcogsentry.md): This method will look up a cogs entry by the specified ID and return it back. ## Partially updates a cogs entry with the specified ID. - [PATCH /cogsEntries/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/cogs-entries/patchcogsentry.md): This method will patch an existing cogs entry with the specified ID, using the HTTP PATCH specification. ## Updates a cogs entry with the specified ID. - [PUT /cogsEntries/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/cogs-entries/updatecogsentry.md): This method will update an existing cogs entry with the specified ID.